import { EventEmitter } from '@angular/core';
import { CardData } from 'verben-ng-ui';
import { Task } from '../../models/Task';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Status } from '../../models/status';
import { Workflow } from '../../models/Workflow';
import { TaskFacade } from './tasks.facade';
import { Form } from '../../models/Form';
import { DataType } from '../../models/DataType';
import * as i0 from "@angular/core";
export declare class TasksFormComponent {
    private fb;
    private taskFacade;
    get currentData(): CardData | null;
    set currentData(value: CardData | null);
    private _currentData;
    taskForm: Form | null;
    active: number;
    dataType: DataType;
    onTaskFormSave: EventEmitter<Form>;
    onSave: EventEmitter<Partial<Task>>;
    form: FormGroup;
    statuses: Status[];
    workflows: Workflow[];
    loadingTaskForm: boolean;
    taskFormView: boolean;
    constructor(fb: FormBuilder, taskFacade: TaskFacade);
    ngOnInit(): void;
    handleSubmit(): void;
    onDelete(): void;
    sendTaskForm(): void;
    areRequiredPropertiesFilled(): boolean;
    disableProcessing(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TasksFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TasksFormComponent, "tasks-form", never, { "currentData": { "alias": "currentData"; "required": false; }; }, { "onTaskFormSave": "onTaskFormSave"; "onSave": "onSave"; }, never, never, false, never>;
}
